Page MenuHomePhabricator

Rollout plan for disambiguation notifications (wgDisambiguatorNotifications)
Closed, ResolvedPublic3 Estimated Story Points

Description

This task is for planning the rollout of the disambiguation notifications feature hidden with the $wgDisambiguatorNotifications feature flag. This feature was added with T285508: Show notification when users type a link to a disambiguation page.

Documentation for feature at: https://www.mediawiki.org/wiki/Help:Extension:Disambiguator

Rollout plan (not finalalized):

  • Beta cluster (T291303)
  • Pilot wikis: huwiki, cawiki, plwiki, viwiki, fawiki, fiwiki
  • Release to group 0 and group 1 (T297175)
  • Bigger pilot wikis (French Wikipedia?)
  • All wikis

Prior consultation is needed to determine the pilots wikis. Translations should also be in place. The relevant messages are:

  • disambiguator-notification-question
  • disambiguator-notification-summary
  • disambiguator-review-link

Event Timeline

MusikAnimal renamed this task from PLACEHOLDER Deploy notifications in Wikitext 2010 for Disambiguation to Rollout plan for disambiguation notifications (wgDisambiguatorNotifications).Oct 14 2021, 12:24 AM
MusikAnimal updated the task description. (Show Details)
ldelench_wmf set the point value for this task to 3.Oct 21 2021, 5:10 PM

Shorter-Term:
The current plan is for Szymon to reach out to 6 smaller and bigger pilot communities on November 3 week and wait until November 10 so that we roll out to the following based on their willingness to participate:

  • huwiki
  • cawiki
  • plwiki
  • viwiki
  • fawiki
  • fiwiki

This phase is train-agnostic.

Next Steps to Short-Term:

  • @sgrabarczuk will update the ticket with status of each of the six wikis willingness to participate as they respond.

Longer-term Next Steps:

  • MusikAnimal will enable the changes for the wikis that opt into the feedback.
  • After we get feedback, we will make a decision on rolling out to all wikis. The deadline for that feedback will be formulated once we roll out to the wikis above.

@MusikAnimal we have a greenlight from all of the following wikis:

huwiki
cawiki
plwiki
viwiki
fawiki
fiwiki

It would be great to turn on the changes for them so they can begin giving us feedback.

Go team!

Restricted Application added a subscriber: Huji. Β· View Herald TranscriptNov 16 2021, 3:56 PM

Change 739467 had a related patch set uploaded (by Samwilson; author: Samwilson):

[operations/mediawiki-config@master] Enable disambiguator notifications on 6 Wikipedias

https://gerrit.wikimedia.org/r/739467

Change 739467 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable disambiguator notifications on 6 Wikipedias

https://gerrit.wikimedia.org/r/739467

Mentioned in SAL (#wikimedia-operations) [2021-11-17T12:24:31Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:739467|Enable disambiguator notifications on 6 Wikipedias (T293319)]] (duration: 01m 04s)

Samwilson updated the task description. (Show Details)
Samwilson added a subscriber: Samwilson.

Change 753175 had a related patch set uploaded (by Samwilson; author: Samwilson):

[operations/mediawiki-config@master] Enable Disambiguator notifications for French Wikipedia

https://gerrit.wikimedia.org/r/753175

Change 753175 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Disambiguator notifications for French Wikipedia

https://gerrit.wikimedia.org/r/753175

Mentioned in SAL (#wikimedia-operations) [2022-01-12T00:06:46Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 24a26392a3e36aa3a46445eb1f87e808b57b19c8: Enable Disambiguator notifications for French Wikipedia (T293319) (duration: 01m 08s)

Change 753584 had a related patch set uploaded (by Samwilson; author: Samwilson):

[operations/mediawiki-config@master] Enable Disambiguator notifications on all wikis

https://gerrit.wikimedia.org/r/753584

Change 753584 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Disambiguator notifications on all wikis

https://gerrit.wikimedia.org/r/753584

Mentioned in SAL (#wikimedia-operations) [2022-01-13T00:11:31Z] <catrope@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:753584|Enable Disambiguator notifications on all wikis (T293319)]] (duration: 01m 28s)

MusikAnimal claimed this task.
MusikAnimal updated the task description. (Show Details)